spec:
- openmpi:
    version: 4.1.1
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      atomics: false
      cuda: false
      cxx: false
      cxx_exceptions: false
      fabrics:
      - none
      gpfs: true
      internal-hwloc: false
      java: false
      legacylaunchers: false
      lustre: false
      memchecker: false
      pmi: false
      schedulers:
      - none
      singularity: false
      sqlite3: false
      static: true
      thread_multiple: false
      vt: true
      wrapper-rpath: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: ouzbe2tvun7xqwrovviv22hzlbke4mvxfiynwb5bzhzkruj65nqa====
    dependencies:
      hwloc:
        hash: 4kyvyuxjc7ugfsxop2lypa5qfwopryls
        type:
        - build
        - link
      libevent:
        hash: osfsovug22atqr4bjuulpuc47fgojdrw
        type:
        - build
        - link
      numactl:
        hash: j4bexiy7twt3dva4x2zmi7m5q46i5ldv
        type:
        - build
        - link
      openssh:
        hash: omnjykcj2prqlh5fl7sskqsu23arlp5d
        type:
        - run
      perl:
        hash: 35z4mod5rhf4ccezltntksj4g7t5k4i7
        type:
        - build
      pkgconf:
        hash: aylctzfqirhbg4voy5kde2xz4a46vorh
        type:
        - build
      zlib:
        hash: gr4rzdbj6lihk5alskr7c3us52thhp2p
        type:
        - build
        - link
    hash: 646fp5cbyjn7r4dz4kgcsowsxg3mrqpr
    full_hash: ujt65ih35b7nrspvwziyl4v6omo5elwv
- hwloc:
    version: 2.4.1
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cairo: false
      cuda: false
      gl: false
      libudev: false
      libxml2: true
      netloc: false
      nvml: false
      pci: true
      shared: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: i2e5cxbrtoz2vb3wmgmru35wzxf5v7ew6g2743ctnyqf3vyjecgq====
    dependencies:
      libpciaccess:
        hash: onz4vxejgeouzmc2qk452fgt3qbf2cgx
        type:
        - build
        - link
      libxml2:
        hash: mtwg736bwyq7i5rrt2wwulxtgg2zmz5x
        type:
        - build
        - link
      ncurses:
        hash: lwmcobax7tyb4hlzeiejdsrdw6z3wvgy
        type:
        - build
        - link
      pkgconf:
        hash: aylctzfqirhbg4voy5kde2xz4a46vorh
        type:
        - build
    hash: 7dl4oeccekv2fewzrbzsazgtaf3jynol
    full_hash: 4kyvyuxjc7ugfsxop2lypa5qfwopryls
- libpciaccess:
    version: '0.16'
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 5fz76brc6cyuaq4p7i7hzzyhdttb6o6emiivvtz2olqaxxw3nkfq====
    dependencies:
      libtool:
        hash: xz3p25jfihbpu4p454n6uy4fxxsviaoy
        type:
        - build
      pkgconf:
        hash: aylctzfqirhbg4voy5kde2xz4a46vorh
        type:
        - build
      util-macros:
        hash: c5vdgtm452f7wrzjjrph3legq5lr2vdf
        type:
        - build
    hash: fzh5hln2oxsppvjgvddmtpyuz2rbqatj
    full_hash: onz4vxejgeouzmc2qk452fgt3qbf2cgx
- libtool:
    version: 2.4.6
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: rup2ouaxip2mg3geji4jtqghb2bw5rqy3pctxj7ih3zpzfcay4oq====
    dependencies:
      m4:
        hash: iciudxqmqivb4cjidq5sjt7oe6fmy6go
        type:
        - build
    hash: y2q4thtkzxbm3xztlaoioo2epzmoqhkr
    full_hash: xz3p25jfihbpu4p454n6uy4fxxsviaoy
- m4:
    version: 1.4.19
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      sigsegv: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: phee5kgfcmd4af3bgml3uv4jb6ec7ktfxwfcbov5hyeicbr6inja====
    dependencies:
      libsigsegv:
        hash: rm2lw5zw6bxsl2h6gwyaq4z6lp7rba5l
        type:
        - build
        - link
    hash: yfbeun6zeij4ldqe34qweiv4ftpfsikp
    full_hash: iciudxqmqivb4cjidq5sjt7oe6fmy6go
- libsigsegv:
    version: '2.13'
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: tevlppb6sgtqxa7uv2jguzfgdf6sfvow5x57hynijbeh7rvyd3ba====
    hash: 7gkxt2ka233h55yslmhnq3homigu23vy
    full_hash: rm2lw5zw6bxsl2h6gwyaq4z6lp7rba5l
- pkgconf:
    version: 1.7.4
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: qfn724ykl4qehjlvuqnlkko7y5iayxglkx7okhfa5r4ydhtezjiq====
    hash: o3wywvgtnbd23slsrt63sfkcyohv6vxm
    full_hash: aylctzfqirhbg4voy5kde2xz4a46vorh
- util-macros:
    version: 1.19.3
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: ookum5d6bgqtqdaydsfhp6hbseqd7xglu7wefncmjybkfmswk4pq====
    hash: kil6fbpoyb3pkrzyn4urna7ptjtn5q7i
    full_hash: c5vdgtm452f7wrzjjrph3legq5lr2vdf
- libxml2:
    version: 2.9.10
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      python: false
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: qpkvuyeu2z4y3gfuhbhn5fow6omuk6sfydl6elv3dpifnhd6so3q====
    dependencies:
      libiconv:
        hash: egc5rcgu6jlz5i452vjcduda5bgnre63
        type:
        - build
        - link
      pkgconf:
        hash: aylctzfqirhbg4voy5kde2xz4a46vorh
        type:
        - build
      xz:
        hash: adxsplfgdphji6hgo2bpj4pec63dhdz3
        type:
        - build
        - link
      zlib:
        hash: gr4rzdbj6lihk5alskr7c3us52thhp2p
        type:
        - build
        - link
    hash: ltdsyhdt6l7jyfy57a5kllquacxdauci
    full_hash: mtwg736bwyq7i5rrt2wwulxtgg2zmz5x
- libiconv:
    version: '1.16'
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: btkg7xn7dblignzlu4mkv57kxqoy2jaewghby6ukksp4jgvd4dxq====
    hash: zqp7gscw3ojfabhhzbeco7t26fuwypol
    full_hash: egc5rcgu6jlz5i452vjcduda5bgnre63
- xz:
    version: 5.2.5
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      libs:
      - shared
      - static
      pic: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: tye5qnkk36omfiooogrue6uqqgoo3bfngfklgpjhnqswm2wqi26q====
    hash: jzxbuzezmbvmxffg77b32dxosdbiq6fo
    full_hash: adxsplfgdphji6hgo2bpj4pec63dhdz3
- zlib:
    version: 1.2.11
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      optimize: true
      pic: true
      shared: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: ta26us7b2ounlwn5ikwgv4g6ivbhwr55lokatsv23pmlp7onelma====
    hash: uubmvorewcdyv5urdqiky4wcoehj4xug
    full_hash: gr4rzdbj6lihk5alskr7c3us52thhp2p
- ncurses:
    version: '6.2'
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      abi: none
      symlinks: false
      termlib: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: m7fcoge5kdjqibjor7lw67h7e4isp4grisurb3x2wmd5sdgvp7jq====
    dependencies:
      pkgconf:
        hash: aylctzfqirhbg4voy5kde2xz4a46vorh
        type:
        - build
    hash: ina473j4tesruqge5375vqkfxzvupas2
    full_hash: lwmcobax7tyb4hlzeiejdsrdw6z3wvgy
- libevent:
    version: 2.1.12
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      openssl: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: mg2i45viefjasyf6yoxrookt45ugzvtdzbso5eg5elhwely2v4ra====
    dependencies:
      openssl:
        hash: 5bnfla4kgkkhvipez53qgnnef3ux6ftx
        type:
        - build
        - link
    hash: u4rufbgd2l33whpbbhuo2ty3uphklini
    full_hash: osfsovug22atqr4bjuulpuc47fgojdrw
- openssl:
    version: 1.1.1k
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      docs: false
      systemcerts: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: lieqzmkgrpenuzohfmbc42znnoal7736mjvy4c6oy7eyfkbch2xa====
    dependencies:
      perl:
        hash: 35z4mod5rhf4ccezltntksj4g7t5k4i7
        type:
        - build
        - test
      zlib:
        hash: gr4rzdbj6lihk5alskr7c3us52thhp2p
        type:
        - build
        - link
    hash: qnski5td527q7xxznvgqu4l4y7yvomf2
    full_hash: 5bnfla4kgkkhvipez53qgnnef3ux6ftx
- perl:
    version: 5.34.0
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cpanm: true
      shared: true
      threads: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: noj2eumnko3zmn44izbrgxdkawhchwuaeqtjjgdiyqhe76gfh3da====
    dependencies:
      berkeley-db:
        hash: gm6gfi77lhfpw4diagacgegyjrr5scqa
        type:
        - build
        - link
      bzip2:
        hash: umtwcx4ml3t235mbgfautfkrqizkaon7
        type:
        - build
        - link
      gdbm:
        hash: vf4tgunat6wo3r3d4abf45ornyr2zlev
        type:
        - build
        - link
      zlib:
        hash: gr4rzdbj6lihk5alskr7c3us52thhp2p
        type:
        - build
        - link
    hash: ab42nymhp7yckwc26jmdfcibt3f2cuzk
    full_hash: 35z4mod5rhf4ccezltntksj4g7t5k4i7
- berkeley-db:
    version: 18.1.40
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cxx: true
      docs: false
      patches:
      - b231fcc4d5cff05e5c3a4814f6a5af0e9a966428dc2176540d2c05aff41de522
      stl: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    patches:
    - b231fcc4d5cff05e5c3a4814f6a5af0e9a966428dc2176540d2c05aff41de522
    package_hash: xvah532upxmmv332zmvfgxo4j4lkroeonvwjswr56bi6ut7xoomq====
    hash: nvprof2spiwqixm7dcpxuj7kczdidhzs
    full_hash: gm6gfi77lhfpw4diagacgegyjrr5scqa
- bzip2:
    version: 1.0.8
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      debug: false
      pic: false
      shared: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 4h3jz43cxswtueiamej5pueoq24vkd2xr4ee6w2qnqt6arhhfdbq====
    dependencies:
      diffutils:
        hash: sqjxt4dlthgjabog4xft6icixnxsfqwa
        type:
        - build
    hash: ndp7atxcpsdyezub5b275slgztngoow3
    full_hash: umtwcx4ml3t235mbgfautfkrqizkaon7
- diffutils:
    version: '3.7'
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: qr3makpnpaqtgtq2jrivxcttliunazzahltg6ogsjbbuqzqhnvxq====
    dependencies:
      libiconv:
        hash: egc5rcgu6jlz5i452vjcduda5bgnre63
        type:
        - build
        - link
    hash: eioetpikumy7hessv4kl2s46xtp33tw6
    full_hash: sqjxt4dlthgjabog4xft6icixnxsfqwa
- gdbm:
    version: '1.19'
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 56zn4zpkyt7u25tp6mekjkn2v64fbyhnn6ammhfwf5b6ihrnghhq====
    dependencies:
      readline:
        hash: 5hrs5voc7xin7oa2rwsr7pstizml7ick
        type:
        - build
        - link
    hash: jmyq7qdhq5bppw7ru5ft53wjuigvlfxc
    full_hash: vf4tgunat6wo3r3d4abf45ornyr2zlev
- readline:
    version: '8.1'
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: hefaic7tsd6jf2bxnuq3ez6wplocpq6dbggqxu2caxctt7swpkhq====
    dependencies:
      ncurses:
        hash: lwmcobax7tyb4hlzeiejdsrdw6z3wvgy
        type:
        - build
        - link
    hash: x46lorqgjuu3vew564tsqwc3ofxzlpen
    full_hash: 5hrs5voc7xin7oa2rwsr7pstizml7ick
- numactl:
    version: 2.0.14
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      patches:
      - 4e1d78cbbb85de625bad28705e748856033eaafab92a66dffd383a3d7e00cc94
      - 62fc8a8bf7665a60e8f4c93ebbd535647cebf74198f7afafec4c085a8825c006
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    patches:
    - 4e1d78cbbb85de625bad28705e748856033eaafab92a66dffd383a3d7e00cc94
    - 62fc8a8bf7665a60e8f4c93ebbd535647cebf74198f7afafec4c085a8825c006
    package_hash: mt4a4hpvmihzsodplnmeoxauzxus54fxe3irrtm6rzdadjlt6f2a====
    dependencies:
      autoconf:
        hash: 42uetxpbqrgczgilv7ewunh7nwbcgr6h
        type:
        - build
      automake:
        hash: dcpxpcs6vh6rq7gqrbdelpukdu4cevit
        type:
        - build
      libtool:
        hash: xz3p25jfihbpu4p454n6uy4fxxsviaoy
        type:
        - build
      m4:
        hash: iciudxqmqivb4cjidq5sjt7oe6fmy6go
        type:
        - build
    hash: dssqektigzverxlauto5kkobglhel63t
    full_hash: j4bexiy7twt3dva4x2zmi7m5q46i5ldv
- autoconf:
    version: '2.69'
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: t2vuacxyisuaisutuwr5ewiwwyrutk7vb6chgy4e6ikmc4tvy5gq====
    dependencies:
      m4:
        hash: iciudxqmqivb4cjidq5sjt7oe6fmy6go
        type:
        - build
        - run
      perl:
        hash: 35z4mod5rhf4ccezltntksj4g7t5k4i7
        type:
        - build
        - run
    hash: 56bkgzeldalb4c5twfjuqjn4vqyoe6p4
    full_hash: 42uetxpbqrgczgilv7ewunh7nwbcgr6h
- automake:
    version: 1.16.3
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: wo4dxb5htrx3gimpot2psxnrf6buurs2rb5rr6ipbyxqxjjahekq====
    dependencies:
      autoconf:
        hash: 42uetxpbqrgczgilv7ewunh7nwbcgr6h
        type:
        - build
      perl:
        hash: 35z4mod5rhf4ccezltntksj4g7t5k4i7
        type:
        - build
        - run
    hash: oz7gijeadekbijg3ergboaw4ljeutpk3
    full_hash: dcpxpcs6vh6rq7gqrbdelpukdu4cevit
- openssh:
    version: 8.5p1
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: nljwsx5jvcy7rdb44ndicgab7pohht7eb5hvkdtgdmmteqwgecha====
    dependencies:
      libedit:
        hash: gi7q5a3voosmws4vfwc7olo2mxqfhphp
        type:
        - build
        - link
      ncurses:
        hash: lwmcobax7tyb4hlzeiejdsrdw6z3wvgy
        type:
        - build
        - link
      openssl:
        hash: 5bnfla4kgkkhvipez53qgnnef3ux6ftx
        type:
        - build
        - link
      zlib:
        hash: gr4rzdbj6lihk5alskr7c3us52thhp2p
        type:
        - build
        - link
    hash: tw3ztkd6hec2ma7afu57kw3htqpnirqr
    full_hash: omnjykcj2prqlh5fl7sskqsu23arlp5d
- libedit:
    version: 3.1-20210216
    arch:
      platform: linux
      platform_os: rhel7
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: u6iv75u7ccva4lhvfe4rwvkf34ifpsqeaaiw6de5pltcmashcbga====
    dependencies:
      ncurses:
        hash: lwmcobax7tyb4hlzeiejdsrdw6z3wvgy
        type:
        - build
        - link
      pkgconf:
        hash: aylctzfqirhbg4voy5kde2xz4a46vorh
        type:
        - build
    hash: ppya2tb2cacw4nx2q672nedyuqvop6vj
    full_hash: gi7q5a3voosmws4vfwc7olo2mxqfhphp
binary_cache_checksum:
  hash_algorithm: sha256
  hash: af4bf0ae4bf7b9e0bb9825dccf5bfdc274c24874468f4b67c6298a8cfb025b51
buildinfo:
  relative_prefix: linux-rhel7-x86_64/gcc-9.3.0/openmpi-4.1.1-646fp5cbyjn7r4dz4kgcsowsxg3mrqpr
  relative_rpaths: false
